<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.test.recorder.SignalEvent&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.t.r.SignalEvent(<a href="kiwi.ui.test.recorder.Event.html">Event</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.test.html">test</a>.<a href="kiwi.ui.test.recorder.html">recorder</a></span>
      
      <a href="classIndex.html#kiwi.ui.test.recorder.SignalEvent">View In Hierarchy</a>
    </p>
    <div>
      <p>Known subclasses: <a href="kiwi.ui.test.recorder.ButtonClickedEvent.html">kiwi.ui.test.recorder.ButtonClickedEvent</a>, <a href="kiwi.ui.test.recorder.EntryActivateEvent.html">kiwi.ui.test.recorder.EntryActivateEvent</a>, <a href="kiwi.ui.test.recorder.EntrySetTextEvent.html">kiwi.ui.test.recorder.EntrySetTextEvent</a>, <a href="kiwi.ui.test.recorder.ImageMenuItemButtonReleaseEvent.html">kiwi.ui.test.recorder.ImageMenuItemButtonReleaseEvent</a>, <a href="kiwi.ui.test.recorder.MenuItemActivateEvent.html">kiwi.ui.test.recorder.MenuItemActivateEvent</a>, <a href="kiwi.ui.test.recorder.ObjectListDoubleClick.html">kiwi.ui.test.recorder.ObjectListDoubleClick</a>, <a href="kiwi.ui.test.recorder.ObjectListSelectionChanged.html">kiwi.ui.test.recorder.ObjectListSelectionChanged</a>, <a href="kiwi.ui.test.recorder.ToolButtonReleaseEvent.html">kiwi.ui.test.recorder.ToolButtonReleaseEvent</a></p>
    </div>
    <div>A SignalEvent is an <a 
href="kiwi.ui.test.recorder.Event.html"><code>Event</code></a> which is 
tied to a GObject signal, <a 
href="kiwi.ui.test.recorder.Recorder.html"><code>Recorder</code></a> uses 
this to automatically attach itself to a signal at which point this object 
will be instantiated.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Class Variables</td><td class="fieldArg">signal_name</td><td>signal to listen to
</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id35">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.test.recorder.SignalEvent.html#__init__">__init__</a></td>
    <td><span>Create a new SignalEvent object.
</span></td>
  </tr><tr class="classmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.ui.test.recorder.SignalEvent.html#connect">connect</a></td>
    <td><span>Calls connect on <i>object</i> for signal <i>signal_name</i>.
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.test.recorder.Event.html">Event</a>:
        </p>
        <table class="children sortable" id="id36">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.test.recorder.Event.html#get_toplevel">get_toplevel</a></td>
    <td><span>This fetches the toplevel widget for a specific object,
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.test.recorder.Event.html#serialize">serialize</a></td>
    <td><span>Serialize the widget, write the code here which is
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.test.recorder.SignalEvent.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, object, name, args):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.test.recorder.Event.html#__init__">kiwi.ui.test.recorder.Event.__init__</a></div><div class="interfaceinfo">overridden in <a href="kiwi.ui.test.recorder.EntrySetTextEvent.html">kiwi.ui.test.recorder.EntrySetTextEvent</a>, <a href="kiwi.ui.test.recorder.ObjectListDoubleClick.html">kiwi.ui.test.recorder.ObjectListDoubleClick</a>, <a href="kiwi.ui.test.recorder.ObjectListSelectionChanged.html">kiwi.ui.test.recorder.ObjectListSelectionChanged</a></div>
          <div>Create a new SignalEvent object.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">object</td><td></td></tr><tr><td></td><td class="fieldArg">name</td><td></td></tr><tr><td></td><td class="fieldArg">args</td><td></td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.test.recorder.SignalEvent.connect"></a>
        <a name="connect"></a>
        <div class="functionHeader">
        @classmethod<br />
        def connect(cls, object, signal_name, cb):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.test.recorder.ObjectListDoubleClick.html">kiwi.ui.test.recorder.ObjectListDoubleClick</a>, <a href="kiwi.ui.test.recorder.ObjectListSelectionChanged.html">kiwi.ui.test.recorder.ObjectListSelectionChanged</a></div>
          <div>Calls connect on <i>object</i> for signal <i>signal_name</i>.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">object</td><td>object to connect on
</td></tr><tr><td></td><td class="fieldArg">signal_name</td><td>signal name to listen to
</td></tr><tr><td></td><td class="fieldArg">cb</td><td>callback
</td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>